Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant
Class BuildStatusDef

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              com.nokia.helium.core.ant.types.HlmPostDefImpl
                  com.nokia.ant.BuildStatusDef

All Implemented Interfaces:
  com.nokia.helium.core.ant.HlmDefinition, java.lang.Cloneable

    public class BuildStatusDef

extends com.nokia.helium.core.ant.types.HlmPostDefImpl

Class to store the status of the signal of a particular target.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BuildStatusDef()`

Method Summary
`void` | `checkIfTargetPrivate(org.apache.tools.ant.Target target, org.apache.tools.ant.Project project)` If target has comment that says it is private them print warning
`void` | `checkTargetsProperties(org.apache.tools.ant.Project project)`
`void` | `execute(org.apache.tools.ant.Project prj, java.lang.String module, java.lang.String[] targetNames)`
`org.apache.tools.ant.Target` | `findTarget(java.lang.String desiredTarget, org.apache.tools.ant.Project project, java.lang.String[] targetNames)`
`org.dom4j.Element` | `findTargetElement(org.apache.tools.ant.Target target, org.apache.tools.ant.Project project)` Find the xml Element for the target
`java.util.ArrayList` | `getCustomerProperties(org.apache.tools.ant.Project project)`
`void` | `targetCallsHeliumTarget(org.apache.tools.ant.Target target, org.apache.tools.ant.Project project)` If a target defined outside helium are calling a private Helium target then print warning

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildStatusDef

    public BuildStatusDef()

Method Detail

### execute

    public void execute(org.apache.tools.ant.Project prj,
                        java.lang.String module,
                        java.lang.String[] targetNames)

  Specified by:
    `execute` in interface `com.nokia.helium.core.ant.HlmDefinition`
  Overrides:
    `execute` in class `com.nokia.helium.core.ant.types.HlmPostDefImpl`

### findTarget

    public org.apache.tools.ant.Target findTarget(java.lang.String desiredTarget,
                                                  org.apache.tools.ant.Project project,
                                                  java.lang.String[] targetNames)

  Parameters:
    `desiredTarget` - Target name to search
    `project` - Object of the project
    `targetNames` - Array of target names

### targetCallsHeliumTarget

    public void targetCallsHeliumTarget(org.apache.tools.ant.Target target,
                                        org.apache.tools.ant.Project project)

  If a target defined outside helium are calling a private Helium target then print warning

### findTargetElement

    public org.dom4j.Element findTargetElement(org.apache.tools.ant.Target target,
                                               org.apache.tools.ant.Project project)

  Find the xml Element for the target

### checkIfTargetPrivate

    public void checkIfTargetPrivate(org.apache.tools.ant.Target target,
                                     org.apache.tools.ant.Project project)

  If target has comment that says it is private them print warning

### checkTargetsProperties

    public void checkTargetsProperties(org.apache.tools.ant.Project project)

### getCustomerProperties

    public java.util.ArrayList getCustomerProperties(org.apache.tools.ant.Project project)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD